;; miro-defs.lisp -- contains declarations needed to avoid warnings in
;;		     various files
;
;/*****************************************************************************
;                Copyright Carnegie Mellon University 1992
;
;                      All Rights Reserved
;
; Permission to use, copy, modify, and distribute this software and its
; documentation for any purpose and without fee is hereby granted,
; provided that the above copyright notice appear in all copies and that
; both that copyright notice and this permission notice appear in
; supporting documentation, and that the name of CMU not be
; used in advertising or publicity pertaining to distribution of the
; software without specific, written prior permission.
;
; CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
; ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
; CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
; ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
; WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
; ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
; SOFTWARE.
;*****************************************************************************/
;

#|
============================================================
Change log:
    06/11/91 ky ; Added popup-command-menu.
    04/16/91 ky ; Added probe-dbox.
    04/02/91 ky ; Added dbox-labeled-button-input, dbox-reset-button.
    04/01/91 ky ; Added dbox-labeled-text-input.
    12/3/90  ky ; Added dialog-window, dialog-agg.
    11/26/90 ky ; Added *options*.
    11/21/90 ky ; Added help-background.
    11/20/90 ky ; Added *colors*, menu-background, sb-background,
		; work-background.
    11/12/90 ky ; Added *new-ambig* to indicate whether the ambiguity
		; checker is using the old or new output format.
    11/5/90  ky ; Added *adjust-sysnames*.
    11/1/90  ky ; Added print-dbox.
    11/1/90  ky ; Added filename-dbox.
    10/30/90 ky ; Added ambig-options.
    9/25/90 ky  ; Added ambig-status.
    9/20/90 ky  ; Added ambig-menu.
    9/19/90 ky  ; Added error-priority-level.
    9/18/90 ky  ; Added *dont-interfere*, *help-string*.
    9/14/90 ky  ; Added undo-objects.
    9/13/90 ky  ; Moved "proclaim"s to individual files.  Added
		; comments listing the file in which each special
		; variable is defined.
    9/13/90 ky  ; Created.
============================================================
|#

(in-package "MIRO" :use `("LISP" "KR"))
(export '(disksave run-editor change-garnet-display))

(defvar *all-dboxes* nil)		; defined HERE -- modified in
					; miro-menus.lisp

(defvar *new-ambig* T)			; defined HERE

(defvar *all-windows*)			; defined in miro-inters.lisp
(defvar ambig-error-list)		; defined in miro-menus.lisp
(defvar ambig-error-menu)		; defined in miro-menus.lisp
(defvar ambig-menu)			; defined in miro-menus.lisp
(defvar ambig-options)			; defined in miro-menus.lisp
(defvar ambig-status)			; defined in miro-menus.lisp
(defvar *arrow-db*)			; defined in miro-menus.lisp
(defvar arrow-db-type)			; defined in miro-menus.lisp
(defvar arrow-dbox-inter)		; defined in miro-inters.lisp
(defvar arrow-menu)			; defined in miro-menus.lisp
(defvar box-creation-current-box-dbox)	; defined in miro-menus.lisp
(defvar *box-creation-list*)		; defined in miro-objects.lisp
(defvar box-creation-list-dbox)		; defined in miro-menus.lisp
(defvar box-creation1-agg)		; defined in miro-main.lisp
(defvar box-creation1-background)	; defined in miro-main.lisp
(defvar box-creation1-button)		; defined in miro-menus.lisp
(defvar box-creation1-window)		; defined in miro-main.lisp
(defvar box-creation2-background)	; defined in miro-main.lisp
(defvar box-creation2-window)		; defined in miro-main.lisp
(defvar *box-db*)			; defined in miro-menus.lisp
(defvar box-dbox-inter)			; defined in miro-inters.lisp
(defvar *colors*)			; defined in miro-styles.lisp
(defvar constraint-check-options)	; defined in miro-menus.lisp
(defvar constraint-check-results)	; defined in miro-menus.lisp
(defvar constraint-menu)		; defined in miro-menus.lisp
(defvar copy-inter)			; defined in miro-inters.lisp
(defvar dbox-labeled-button-input)	; defined in miro-toolkit.lisp
(defvar dbox-labeled-text-input)	; defined in miro-toolkit.lisp
(defvar dbox-reset-button)		; defined in miro-toolkit.lisp
(defvar dialog-agg)			; defined in miro-main.lisp
(defvar dialog-window)			; defined in miro-main.lisp
(defvar *dont-interfere*)		; defined in miro-toolkit.lisp
(defvar error-inter)			; defined in miro-inters.lisp
(defvar error-priority-level)		; defined in miro-inters.lisp
(defvar feedback-agg)			; defined in miro-main.lisp
(defvar *file-boxes-to-add*)		; defined in miro-objects.lisp
(defvar filename-dbox)			; defined in miro-menus.lisp
(defvar *fonts-and-styles*)		; defined in miro-styles.lisp
(defvar get-text-inter)			; defined in miro-inters.lisp
(defvar help-agg)			; defined in miro-main.lisp
(defvar help-background)		; defined in miro-main.lisp
(defvar help-buttons)			; defined in miro-menus.lisp
(defvar help-display)			; defined in miro-menus.lisp
(defvar help-inter)			; defined in miro-inters.lisp
(defvar *help-string*)			; defined in miro-main.lisp
(defvar help-window)			; defined in miro-main.lisp
(defvar highest-priority-level)		; defined in miro-inters.lisp
(defvar low-priority-level)		; defined in miro-inters.lisp
(defvar medium-priority-level)		; defined in miro-inters.lisp
(defvar menu-agg)			; defined in miro-main.lisp
(defvar menu-background)		; defined in miro-main.lisp
(defvar menu-window)			; defined in miro-main.lisp
(defvar miro-box)			; defined in miro-objects.lisp
(defvar miro-window)			; defined in miro-main.lisp
(defvar obj-agg)			; defined in miro-main.lisp
(defvar *objects-to-display*)		; defined in miro-cmnds.lisp
(defvar *options*)			; defined in miro-styles.lisp
(defvar options-menu)			; defined in miro-menus.lisp
(defvar pic-sp)				; defined in miro-main.lisp
(defvar pictype-menu)			; defined in miro-menus.lisp
(defvar popup-command-menu)		; defined in miro-menus.lisp
(defvar print-dbox)			; defined in miro-menus.lisp
(defvar probe-dbox)			; defined in miro-menus.lisp
(defvar redraw-inter)			; defined in miro-inters.lisp
(defvar sb-agg)				; defined in miro-main.lisp
(defvar sb-background)			; defined in miro-main.lisp
(defvar sb-window)			; defined in miro-main.lisp
(defvar tool-menu)			; defined in miro-menus.lisp
(defvar undo-functions)			; defined in miro-cmnds.lisp
(defvar undo-objects)			; defined in miro-cmnds.lisp
(defvar undo-schema-slots)		; defined in miro-cmnds.lisp
(defvar *user-boxes-to-add*)		; defined in miro-objects.lisp
(defvar verify-dbox)			; defined in miro-menus.lisp
;;(defvar verify-group-menu)		; defined in miro-menus.lisp
(defvar verify-result-menu)		; defined in miro-menus.lisp
(defvar verify-update-menu)		; defined in miro-menus.lisp
(defvar work-agg)			; defined in miro-main.lisp
(defvar work-background)		; defined in miro-main.lisp
(defvar work-window)			; defined in miro-main.lisp
(defvar *y-n-buttons*)			; defined in miro-menus.lisp
(defvar zoom-agg)			; defined in miro-menus.lisp
